sdl12-compat: Remove unnecessary files from test directory.

From cf71450313de711bb4ade191295c5c07acd54de0 Mon Sep 17 00:00:00 2001
From: "Ryan C. Gordon" <[EMAIL REDACTED]>
Date: Mon, 24 May 2021 11:17:30 -0400
Subject: [PATCH] Remove unnecessary files from test directory.

---
 test/Makefile.in  | 117 ------------------------------
 test/acinclude.m4 | 181 ----------------------------------------------
 test/autogen.sh   |  12 ---
 test/configure.in | 105 ---------------------------
 test/gcc-fat.sh   | 134 ----------------------------------
 5 files changed, 549 deletions(-)
 delete mode 100644 test/Makefile.in
 delete mode 100644 test/acinclude.m4
 delete mode 100755 test/autogen.sh
 delete mode 100644 test/configure.in
 delete mode 100755 test/gcc-fat.sh

diff --git a/test/Makefile.in b/test/Makefile.in
deleted file mode 100644
index 7d5bb8b..0000000
--- a/test/Makefile.in
+++ /dev/null
@@ -1,117 +0,0 @@
-# Makefile to build the SDL tests
-
-srcdir  = @srcdir@
-
-CC      = @CC@
-EXE	= @EXE@
-CFLAGS  = @CFLAGS@
-LIBS	= @LIBS@
-
-TARGETS = checkkeys$(EXE) graywin$(EXE) loopwave$(EXE) testalpha$(EXE) testbitmap$(EXE) testblitspeed$(EXE) testcdrom$(EXE) testcursor$(EXE) testdyngl$(EXE) testerror$(EXE) testfile$(EXE) testgamma$(EXE) testgl$(EXE) testhread$(EXE) testiconv$(EXE) testjoystick$(EXE) testkeys$(EXE) testlock$(EXE) testoverlay2$(EXE) testoverlay$(EXE) testpalette$(EXE) testplatform$(EXE) testsem$(EXE) testsprite$(EXE) testtimer$(EXE) testver$(EXE) testvidinfo$(EXE) testwin$(EXE) testwm$(EXE) threadwin$(EXE) torturethread$(EXE) testloadso$(EXE)
-
-all: $(TARGETS)
-
-checkkeys$(EXE): $(srcdir)/checkkeys.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-graywin$(EXE): $(srcdir)/graywin.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-loopwave$(EXE): $(srcdir)/loopwave.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testalpha$(EXE): $(srcdir)/testalpha.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS) @MATHLIB@
-
-testbitmap$(EXE): $(srcdir)/testbitmap.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testblitspeed$(EXE): $(srcdir)/testblitspeed.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testcdrom$(EXE): $(srcdir)/testcdrom.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testcursor$(EXE): $(srcdir)/testcursor.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testdyngl$(EXE): $(srcdir)/testdyngl.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testerror$(EXE): $(srcdir)/testerror.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testfile$(EXE): $(srcdir)/testfile.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testgamma$(EXE): $(srcdir)/testgamma.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS) @MATHLIB@
-
-testgl$(EXE): $(srcdir)/testgl.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS) @GLLIB@ @MATHLIB@
-
-testhread$(EXE): $(srcdir)/testhread.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testiconv$(EXE): $(srcdir)/testiconv.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testjoystick$(EXE): $(srcdir)/testjoystick.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testkeys$(EXE): $(srcdir)/testkeys.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testlock$(EXE): $(srcdir)/testlock.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testoverlay2$(EXE): $(srcdir)/testoverlay2.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testoverlay$(EXE): $(srcdir)/testoverlay.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testpalette$(EXE): $(srcdir)/testpalette.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS) @MATHLIB@
-
-testplatform$(EXE): $(srcdir)/testplatform.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testsem$(EXE): $(srcdir)/testsem.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testsprite$(EXE): $(srcdir)/testsprite.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS) @MATHLIB@
-
-testtimer$(EXE): $(srcdir)/testtimer.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testver$(EXE): $(srcdir)/testver.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testvidinfo$(EXE): $(srcdir)/testvidinfo.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testwin$(EXE): $(srcdir)/testwin.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testwm$(EXE): $(srcdir)/testwm.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-threadwin$(EXE): $(srcdir)/threadwin.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-torturethread$(EXE): $(srcdir)/torturethread.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-testloadso$(EXE): $(srcdir)/testloadso.c
-	$(CC) -o $@ $? $(CFLAGS) $(LIBS)
-
-
-clean:
-	rm -f $(TARGETS)
-
-distclean: clean
-	rm -f Makefile
-	rm -f config.status config.cache config.log
-	rm -rf $(srcdir)/autom4te*
diff --git a/test/acinclude.m4 b/test/acinclude.m4
deleted file mode 100644
index b6df43f..0000000
--- a/test/acinclude.m4
+++ /dev/null
@@ -1,181 +0,0 @@
-# Configure paths for SDL
-# Sam Lantinga 9/21/99
-# stolen from Manish Singh
-# stolen back from Frank Belew
-# stolen from Manish Singh
-# Shamelessly stolen from Owen Taylor
-
-dnl AM_PATH_SDL([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
-dnl Test for SDL, and define SDL_CFLAGS and SDL_LIBS
-dnl
-AC_DEFUN([AM_PATH_SDL],
-[dnl 
-dnl Get the cflags and libraries from the sdl-config script
-dnl
-AC_ARG_WITH(sdl-prefix,[  --with-sdl-prefix=PFX   Prefix where SDL is installed (optional)],
-            sdl_prefix="$withval", sdl_prefix="")
-AC_ARG_WITH(sdl-exec-prefix,[  --with-sdl-exec-prefix=PFX Exec prefix where SDL is installed (optional)],
-            sdl_exec_prefix="$withval", sdl_exec_prefix="")
-AC_ARG_ENABLE(sdltest, [  --disable-sdltest       Do not try to compile and run a test SDL program],
-		    , enable_sdltest=yes)
-
-  if test x$sdl_exec_prefix != x ; then
-    sdl_args="$sdl_args --exec-prefix=$sdl_exec_prefix"
-    if test x${SDL_CONFIG+set} != xset ; then
-       SDL_CONFIG=$sdl_exec_prefix/bin/sdl-config
-    fi
-  fi
-  if test x$sdl_prefix != x ; then
-    sdl_args="$sdl_args --prefix=$sdl_prefix"
-    if test x${SDL_CONFIG+set} != xset ; then
-       SDL_CONFIG=$sdl_prefix/bin/sdl-config
-    fi
-  fi
-
-  if test "x$prefix" != xNONE; then
-    PATH="$prefix/bin:$prefix/usr/bin:$PATH"
-  fi
-  AC_PATH_PROG(SDL_CONFIG, sdl-config, no, [$PATH])
-  min_sdl_version=ifelse([$1], ,0.11.0,$1)
-  AC_MSG_CHECKING(for SDL - version >= $min_sdl_version)
-  no_sdl=""
-  if test "$SDL_CONFIG" = "no" ; then
-    no_sdl=yes
-  else
-    SDL_CFLAGS=`$SDL_CONFIG $sdlconf_args --cflags`
-    SDL_LIBS=`$SDL_CONFIG $sdlconf_args --libs`
-
-    sdl_major_version=`$SDL_CONFIG $sdl_args --version | \
-           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
-    sdl_minor_version=`$SDL_CONFIG $sdl_args --version | \
-           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
-    sdl_micro_version=`$SDL_CONFIG $sdl_config_args --version | \
-           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
-    if test "x$enable_sdltest" = "xyes" ; then
-      ac_save_CFLAGS="$CFLAGS"
-      ac_save_CXXFLAGS="$CXXFLAGS"
-      ac_save_LIBS="$LIBS"
-      CFLAGS="$CFLAGS $SDL_CFLAGS"
-      CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
-      LIBS="$LIBS $SDL_LIBS"
-dnl
-dnl Now check if the installed SDL is sufficiently new. (Also sanity
-dnl checks the results of sdl-config to some extent
-dnl
-      rm -f conf.sdltest
-      AC_TRY_RUN([
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
-#include "SDL.h"
-
-char*
-my_strdup (char *str)
-{
-  char *new_str;
-  
-  if (str)
-    {
-      new_str = (char *)malloc ((strlen (str) + 1) * sizeof(char));
-      strcpy (new_str, str);
-    }
-  else
-    new_str = NULL;
-  
-  return new_str;
-}
-
-int main (int argc, char *argv[])
-{
-  int major, minor, micro;
-  char *tmp_version;
-
-  /* This hangs on some systems (?)
-  system ("touch conf.sdltest");
-  */
-  { FILE *fp = fopen("conf.sdltest", "a"); if ( fp ) fclose(fp); }
-
-  /* HP/UX 9 (%@#!) writes to sscanf strings */
-  tmp_version = my_strdup("$min_sdl_version");
-  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
-     printf("%s, bad version string\n", "$min_sdl_version");
-     exit(1);
-   }
-
-   if (($sdl_major_version > major) ||
-      (($sdl_major_version == major) && ($sdl_minor_version > minor)) ||
-      (($sdl_major_version == major) && ($sdl_minor_version == minor) && ($sdl_micro_version >= micro)))
-    {
-      return 0;
-    }
-  else
-    {
-      printf("\n*** 'sdl-config --version' returned %d.%d.%d, but the minimum version\n", $sdl_major_version, $sdl_minor_version, $sdl_micro_version);
-      printf("*** of SDL required is %d.%d.%d. If sdl-config is correct, then it is\n", major, minor, micro);
-      printf("*** best to upgrade to the required version.\n");
-      printf("*** If sdl-config was wrong, set the environment variable SDL_CONFIG\n");
-      printf("*** to point to the correct copy of sdl-config, and remove the file\n");
-      printf("*** config.cache before re-running configure\n");
-      return 1;
-    }
-}
-
-],, no_sdl=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
-       CFLAGS="$ac_save_CFLAGS"
-       CXXFLAGS="$ac_save_CXXFLAGS"
-       LIBS="$ac_save_LIBS"
-     fi
-  fi
-  if test "x$no_sdl" = x ; then
-     AC_MSG_RESULT(yes)
-     ifelse([$2], , :, [$2])     
-  else
-     AC_MSG_RESULT(no)
-     if test "$SDL_CONFIG" = "no" ; then
-       echo "*** The sdl-config script installed by SDL could not be found"
-       echo "*** If SDL was installed in PREFIX, make sure PREFIX/bin is in"
-       echo "*** your path, or set the SDL_CONFIG environment variable to the"
-       echo "*** full path to sdl-config."
-     else
-       if test -f conf.sdltest ; then
-        :
-       else
-          echo "*** Could not run SDL test program, checking why..."
-          CFLAGS="$CFLAGS $SDL_CFLAGS"
-          CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
-          LIBS="$LIBS $SDL_LIBS"
-          AC_TRY_LINK([
-#include <stdio.h>
-#include "SDL.h"
-
-int main(int argc, char *argv[])
-{ return 0; }
-#undef  main
-#define main K_and_R_C_main
-],      [ return 0; ],
-        [ echo "*** The test program compiled, but did not run. This usually means"
-          echo "*** that the run-time linker is not finding SDL or finding the wrong"
-          echo "*** version of SDL. If it is not finding SDL, you'll need to set your"
-          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
-          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
-          echo "*** is required on your system"
-	  echo "***"
-          echo "*** If you have an old version installed, it is best to remove it, although"
-          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"],
-        [ echo "*** The test program failed to compile or link. See the file config.log for the"
-          echo "*** exact error that occured. This usually means SDL was incorrectly installed"
-          echo "*** or that you have moved SDL since it was installed. In the latter case, you"
-          echo "*** may want to edit the sdl-config script: $SDL_CONFIG" ])
-          CFLAGS="$ac_save_CFLAGS"
-          CXXFLAGS="$ac_save_CXXFLAGS"
-          LIBS="$ac_save_LIBS"
-       fi
-     fi
-     SDL_CFLAGS=""
-     SDL_LIBS=""
-     ifelse([$3], , :, [$3])
-  fi
-  AC_SUBST(SDL_CFLAGS)
-  AC_SUBST(SDL_LIBS)
-  rm -f conf.sdltest
-])
diff --git a/test/autogen.sh b/test/autogen.sh
deleted file mode 100755
index 939f34c..0000000
--- a/test/autogen.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-#
-# Regenerate configuration files
-cp acinclude.m4 aclocal.m4
-found=false
-for autoconf in autoconf autoconf259 autoconf-2.59
-do if which $autoconf >/dev/null 2>&1; then $autoconf && found=true; break; fi
-done
-if test x$found = xfalse; then
-    echo "Couldn't find autoconf, aborting"
-    exit 1
-fi
diff --git a/test/configure.in b/test/configure.in
deleted file mode 100644
index 7c25c17..0000000
--- a/test/configure.in
+++ /dev/null
@@ -1,105 +0,0 @@
-dnl Process this file with autoconf to produce a configure script.
-AC_INIT(README)
-
-dnl Detect the canonical build and host environments
-AC_CONFIG_AUX_DIRS($srcdir/../build-scripts)
-AC_CANONICAL_HOST
-
-dnl Check for tools
-
-AC_PROG_CC
-
-dnl Check for compiler environment
-
-AC_C_CONST
-
-dnl Figure out which math library to use
-case "$host" in
-    *-*-cygwin* | *-*-mingw32*)
-        EXE=".exe"
-        MATHLIB=""
-        SYS_GL_LIBS="-lopengl32"
-        ;;
-    *-*-beos* | *-*-haiku*)
-        EXE=""
-        MATHLIB=""
-        SYS_GL_LIBS="-lGL"
-        ;;
-    *-*-darwin* )
-        EXE=""
-        MATHLIB=""
-        SYS_GL_LIBS="-Wl,-framework,OpenGL"
-        ;;
-    *-*-aix*)
-        EXE=""
-        if test x$ac_cv_prog_gcc = xyes; then
-            CFLAGS="-mthreads"
-        fi
-        SYS_GL_LIBS=""
-        ;;
-    *-*-mint*)
-        EXE=""
-        MATHLIB=""
-        AC_PATH_PROG(OSMESA_CONFIG, osmesa-config, no)
-        if test "x$OSMESA_CONFIG" = "xyes"; then
-            OSMESA_CFLAGS=`$OSMESA_CONFIG --cflags`
-            OSMESA_LIBS=`$OSMESA_CONFIG --libs`
-            CFLAGS="$CFLAGS $OSMESA_CFLAGS"
-            SYS_GL_LIBS="$OSMESA_LIBS"
-        else
-            SYS_GL_LIBS="-lOSMesa"
-        fi
-		;;
-    *)
-        EXE=""
-        MATHLIB="-lm"
-        SYS_GL_LIBS="-lGL"
-        ;;
-esac
-AC_SUBST(EXE)
-AC_SUBST(MATHLIB)
-
-dnl Check for SDL
-SDL_VERSION=1.2.10
-AM_PATH_SDL($SDL_VERSION,
-            :,
-	    AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
-)
-CFLAGS="$CFLAGS $SDL_CFLAGS"
-LIBS="$LIBS $SDL_LIBS"
-
-dnl Check for X11 path, needed for OpenGL on some systems
-AC_PATH_X
-if test x$have_x = xyes; then
-    if test x$ac_x_includes = xno || test x$ac_x_includes = x; then
-        :
-    else
-        CFLAGS="$CFLAGS -I$ac_x_includes"
-    fi
-    if test x$ac_x_libraries = xno || test x$ac_x_libraries = x; then
-        :
-    else
-        XPATH="-L$ac_x_libraries"
-    fi
-fi
-
-dnl Check for OpenGL
-AC_MSG_CHECKING(for OpenGL support)
-have_opengl=no
-AC_TRY_COMPILE([
- #include "SDL_opengl.h"
-],[
-],[
-have_opengl=yes
-])
-AC_MSG_RESULT($have_opengl)
-if test x$have_opengl = xyes; then
-    CFLAGS="$CFLAGS -DHAVE_OPENGL"
-    GLLIB="$XPATH $SYS_GL_LIBS"
-else
-    GLLIB=""
-fi
-AC_SUBST(GLLIB)
-
-dnl Finally create all the generated files
-AC_OUTPUT([Makefile])
diff --git a/test/gcc-fat.sh b/test/gcc-fat.sh
deleted file mode 100755
index 203b941..0000000
--- a/test/gcc-fat.sh
+++ /dev/null
@@ -1,134 +0,0 @@
-#!/bin/sh
-#
-# Build Universal binaries on Mac OS X, thanks Ryan!
-#
-# Usage: ./configure CC="sh gcc-fat.sh" && make && rm -rf ppc x86
-
-# Locate Xcode SDK path
-SDK_PATH=/Developer/SDKs
-if [ ! -d $SDK_PATH ]; then
-    echo "Couldn't find SDK path"
-    exit 1
-fi
-
-if [ -d "$SDK_PATH/MacOSX10.2.8.sdk" ]; then
-    # PowerPC compiler flags (10.2 runtime compatibility)
-    GCC_COMPILE_PPC="gcc-3.3 -arch ppc \
--DMAC_OS_X_VERSION_MIN_REQUIRED=1020 \
--nostdinc \
--F$SDK_PATH/MacOSX10.2.8.sdk/System/Library/Frameworks \
--I$SDK_PATH/MacOSX10.2.8.sdk/usr/include/gcc/darwin/3.3 \
--isystem $SDK_PATH/MacOSX10.2.8.sdk/usr/include"
-
-    GCC_LINK_PPC="\
--L$SDK_PATH/MacOSX10.2.8.sdk/usr/lib/gcc/darwin/3.3 \
--F$SDK_PATH/MacOSX10.2.8.sdk/System/Library/Frameworks \
--Wl,-syslibroot,$SDK_PATH/MacOSX10.2.8.sdk"
-
-else # 10.2 or 10.3 SDK
-    # PowerPC compiler flags (10.3 runtime compatibility)
-    GCC_COMPILE_PPC="gcc-4.0 -arch ppc -mmacosx-version-min=10.3 \
--DMAC_OS_X_VERSION_MIN_REQUIRED=1030 \
--nostdinc \
--F$SDK_PATH/MacOSX10.3.9.sdk/System/Library/Frameworks \
--I$SDK_PATH/MacOSX10.3.9.sdk/usr/lib/gcc/powerpc-apple-darwin9/4.0.1/include \
--isystem $SDK_PATH/MacOSX10.3.9.sdk/usr/include"
-
-    GCC_LINK_PPC="\
--L$SDK_PATH/MacOSX10.3.9.sdk/usr/lib/gcc/powerpc-apple-darwin9/4.0.1 \
--F$SDK_PATH/MacOSX10.3.9.sdk/System/Library/Frameworks \
--Wl,-syslibroot,$SDK_PATH/MacOSX10.3.9.sdk"
-
-fi # 10.2 or 10.3 SDK
-
-# Intel compiler flags (10.4 runtime compatibility)
-GCC_COMPILE_X86="gcc-4.0 -arch i386 -mmacosx-version-min=10.4 \
--DMAC_OS_X_VERSION_MIN_REQUIRED=1040 \
--nostdinc \
--F$SDK_PATH/MacOSX10.4u.sdk/System/Library/Frameworks \
--I$SDK_PATH/MacOSX10.4u.sdk/usr/lib/gcc/i686-apple-darwin9/4.0.1/include \
--isystem $SDK_PATH/MacOSX10.4u.sdk/usr/include"
-
-GCC_LINK_X86="\
--L$SDK_PATH/MacOSX10.4u.sdk/usr/lib/gcc/i686-apple-darwin9/4.0.1 \
--Wl,-syslibroot,$SDK_PATH/MacOSX10.4u.sdk"
-
-# Output both PowerPC and Intel object files
-args="$*"
-compile=yes
-link=yes
-while test x$1 != x; do
-    case $1 in
-        --version) exec gcc $1;;
-        -v) exec gcc $1;;
-        -V) exec gcc $1;;
-        -print-prog-name=*) exec gcc $1;;
-        -print-search-dirs) exec gcc $1;;
-        -E) GCC_COMPILE_PPC="$GCC_COMPILE_PPC -E"
-            GCC_COMPILE_X86="$GCC_COMPILE_X86 -E"
-            compile=no; link=no;;
-        -c) link=no;;
-        -o) output=$2;;
-        *.c|*.cc|*.cpp|*.S) source=$1;;
-    esac
-    shift
-done
-if test x$link = xyes; then
-    GCC_COMPILE_PPC="$GCC_COMPILE_PPC $GCC_LINK_PPC"
-    GCC_COMPILE_X86="$GCC_COMPILE_X86 $GCC_LINK_X86"
-fi
-if test x"$output" = x; then
-    if test x$link = xyes; then
-        output=a.out
-    elif test x$compile = xyes; then
-        output=`echo $source | sed -e 's|.*/||' -e 's|\(.*\)\.[^\.]*|\1|'`.o
-    fi
-fi
-
-if test x"$output" != x; then
-    dir=ppc/`dirname $output`
-    if test -d $dir; then
-        :
-    else
-        mkdir -p $dir
-    fi
-fi
-set -- $args
-while test x$1 != x; do
-    if test -f "ppc/$1" && test "$1" != "$output"; then
-        ppc_args="$ppc_args ppc/$1"
-    else
-        ppc_args="$ppc_args $1"
-    fi
-    shift
-done
-$GCC_COMPILE_PPC $ppc_args || exit $?
-if test x"$output" != x; then
-    cp $output ppc/$output
-fi
-
-if test x"$output" != x; then
-    dir=x86/`dirname $output`
-    if test -d $dir; then
-        :
-    else
-        mkdir -p $dir
-    fi
-fi
-set -- $args
-while test x$1 != x; do
-    if test -f "x86/$1" && test "$1" != "$output"; then
-        x86_args="$x86_args x86/$1"
-    else
-        x86_args="$x86_args $1"
-    fi
-    shift
-done
-$GCC_COMPILE_X86 $x86_args || exit $?
-if test x"$output" != x; then
-    cp $output x86/$output
-fi
-
-if test x"$output" != x; then
-    lipo -create -o $output ppc/$output x86/$output
-fi